> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cantina.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns a company's change log.

> # Access control rules

- Company manager can view a company's change log.
- Admins can list all companies. Requires `read_all_companies` permissions.



## OpenAPI

````yaml GET /api/v0/companies/{company_id}/log
openapi: 3.1.0
info:
  title: Cantina Client API
  description: >-
    Endpoints available to client organizations. For an overview and
    authentication, see
    https://docs.cantina.xyz/for-organizations/getting-started/api-access.
  license:
    name: Cantina
    identifier: Cantina
  version: 0.1.0
servers: []
security: []
paths:
  /api/v0/companies/{company_id}/log:
    get:
      tags:
        - companies
      summary: Returns a company's change log.
      description: >-
        # Access control rules


        - Company manager can view a company's change log.

        - Admins can list all companies. Requires `read_all_companies`
        permissions.
      operationId: company_change_log
      parameters:
        - name: company_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: The companys's change log
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyLog'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '401':
          description: Access not authorised
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '403':
          description: Access forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '404':
          description: Company not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
components:
  schemas:
    CompanyLog:
      type: object
      description: Change log of a company.
      required:
        - events
      properties:
        events:
          type: array
          items:
            $ref: '#/components/schemas/CompanyLogEvent'
          description: Events in the change log.
    CantinaError:
      type: object
      description: Error returned by the Cantina API.
      required:
        - type
        - msg
      properties:
        type:
          $ref: '#/components/schemas/ErrorType'
        msg:
          type: string
          description: Error message for the user.
    CompanyLogEvent:
      type: object
      description: Change to a company.
      required:
        - id
        - field
        - oldValue
        - newValue
        - updatedBy
        - updatedAt
      properties:
        id:
          type: string
          format: uuid
        field:
          $ref: '#/components/schemas/CompanyField'
        oldValue: {}
        newValue: {}
        updatedBy:
          $ref: '#/components/schemas/UserProfile'
        updatedAt:
          type: string
          format: date-time
    ErrorType:
      type: string
      description: Type of error.
      enum:
        - email_not_verified
        - auth_invalid
        - auth_expired
        - auth_token_missing
        - auth_id_missing
        - invalid_password
        - disabled_user
        - tc_not_accepted
        - evicted
        - unauthorized
        - bad_request
        - not_found
        - forbidden
        - gone
        - payload_too_large
        - service_unavailable
        - internal_error
    CompanyField:
      type: string
      description: Field of an [`Company`].
      enum:
        - name
        - handle
        - about
        - legal_name
        - legal_country
        - legal_address
        - logo
        - is_generated_logo
        - website
        - github
        - twitter
        - domain
        - auto_join_allowed
        - show_audit_log
        - session_settings
        - admin_data
    UserProfile:
      type: object
      description: Profile info of a user.
      required:
        - userId
        - name
        - username
        - avatar
      properties:
        userId:
          type: string
          format: uuid
        name:
          type: string
        username:
          type: string
        avatar:
          type: string
        disabledAt:
          type:
            - string
            - 'null'
          format: date-time

````